Package org.eclipse.mat.snapshot.query

# Class TQuantize

java.lang.Object
org.eclipse.mat.snapshot.query.TQuantize

public final class TQuantize extends Object
Create a value or frequency distribution out of `IResultTable`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`TQuantize.Builder`
`TQuantize` factory
`static enum`
`TQuantize.Target`
Well-known default aggregations.

## Method Summary

Modifier and Type
Method
Description
`static TQuantize`
`defaultValueDistribution(ISnapshot snapshot, IResultTable base, TQuantize.Target target)`
A convenience methods to aggregate a table by one of the well-known targets and create the sum for all other columns.
`IResult`
`process(IProgressListener listener)`
Create distribution based on the given table.
`static TQuantize.Builder`
`valueDistribution(ISnapshot snapshot, IResultTable base, int... columns)`
Creates a `TQuantize` object which aggregates the table by the value of the columns.
`static TQuantize.Builder`
`valueDistribution(ISnapshot snapshot, IResultTable base, TQuantize.Target target)`
Creates a `TQuantize` object which aggregates the table by one of the well-known targets, e.g.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### valueDistribution

public static TQuantize.Builder valueDistribution(ISnapshot snapshot, IResultTable base, int... columns) throws SnapshotException
Creates a `TQuantize` object which aggregates the table by the value of the columns.

Throws:
  `SnapshotException`

### valueDistribution

public static TQuantize.Builder valueDistribution(ISnapshot snapshot, IResultTable base, TQuantize.Target target) throws SnapshotException
Creates a `TQuantize` object which aggregates the table by one of the well-known targets, e.g. by class loader or package.

Throws:
  `SnapshotException`

### defaultValueDistribution

public static TQuantize defaultValueDistribution(ISnapshot snapshot, IResultTable base, TQuantize.Target target) throws SnapshotException
A convenience methods to aggregate a table by one of the well-known targets and create the sum for all other columns.

Throws:
  `SnapshotException`

### process

public IResult process(IProgressListener listener) throws SnapshotException
Create distribution based on the given table.

Parameters:
  `listener` - progress listener
Throws:
  `SnapshotException`